libev4_4.15-3_amd64.deb


Advertisement

Description

libev4 - high-performance event loop library modelled after libevent

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libev4
Package version 4.15
Package release 3
Package architecture amd64
Package type deb
Installed size 104 B
Download size 35.81 KB
Official Mirror ftp.br.debian.org
libev provides a full-featured and high-performance event loop that is
loosely modelled after libevent. It includes relative timers, absolute
timers with customized rescheduling, synchronous signals, process status
change events, event watchers dealing with the event loop itself, file
watchers, and even limited support for fork events. It uses a priority
queue to manage timers and uses arrays as fundamental data structure. It
has no artificial limitations on the number of watchers waiting for the
same event.
libev supports select, poll, epoll, kqueue, and inotify.

Alternatives

Package Version Architecture Repository
libev4_4.15-3_i386.deb 4.15 i386 Debian Main
libev4 - - -

Requires

Name Value
libc6 >= 2.17

Download

Type URL
Binary Package libev4_4.15-3_amd64.deb
Source Package libev

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libev4 deb package:
    # sudo apt-get install libev4

Files

Path
/usr/lib/x86_64-linux-gnu/libev.so.4
/usr/lib/x86_64-linux-gnu/libev.so.4.0.0
/usr/share/doc/libev4/changelog.Debian.gz
/usr/share/doc/libev4/changelog.gz
/usr/share/doc/libev4/copyright

Changelog

2013-09-10 - Jérémy Lal <kapouer@melix.org>
libev (1:4.15-3) unstable; urgency=low
* Priority: optional except on development packages
* dh9 hardening and multiarch
* Patch configure.ac for automake >= 1.14 support
* dh-autoreconf is back, now working nicely
2013-08-31 - Jérémy Lal <kapouer@melix.org>
libev (1:4.15-2) unstable; urgency=low
* Upload to unstable 
2013-05-01 - Jérémy Lal <kapouer@melix.org>
libev (1:4.15-1) experimental; urgency=low
* New upstream release. (Closes: #613116)
* Remove obsolete DMUA field.
* Standards-Version 3.9.4 compliant.
* debian/libev4.symbols: add three new symbols.
* debian/rules:
+ fix hardening
+ no longer needed to autoreconf.
* No longer build-depend on dh-autoreconf.
2012-02-11 - Jérémy Lal <kapouer@melix.org>
libev (1:4.11-1) unstable; urgency=low
* New upstream release. (Closes: #657080)
* Taking over package maintenance. Adding DM-Upload-Allowed: yes.
* Bump Standards-Version to 3.9.2
* Removed patch applied to master branch, applied upstream. (Closes: #643186)
* debian/rules: remove unneeded overrides :
+ Makefile has a rule for ev.3: ev.pod and calls pod2man when needed.
+ Use dh-autoreconf
* debian/control: add Vcs-* fields, move git repository to collab-maint.
* debian/copyright: convert to DEP-5 format.
2011-02-21 - Robert S. Edmonds <edmonds@debian.org>
libev (1:4.04-1) unstable; urgency=low
* New upstream release.
- API/ABI bump from libev3 to libev4.
* Convert packaging to git.
2010-03-09 - Robert S. Edmonds <edmonds@debian.org>
libev (1:3.9-1) unstable; urgency=low
* New upstream release.
2009-08-23 - Robert S. Edmonds <edmonds@debian.org>
libev (1:3.8-1) unstable; urgency=low
* New upstream release.
* Build depend on quilt >= 0.46-4.1; closes: #484232.
2009-05-09 - Robert S. Edmonds <edmonds@debian.org>
libev (1:3.6-1) unstable; urgency=low
* New upstream release.
* Invoke autoreconf -fvi in debian/rules; closes: #511235.
* Add new symbols ev_now_update, ev_resume, ev_suspend.
2008-12-07 - Cyril Brulebois <kibi@debian.org>
libev (3.43-1.1) unstable; urgency=low
* Non-maintainer upload.
* Reupload with architecture-independent binaries (Closes: #507381).
2008-07-19 - Robert S. Edmonds <edmonds@debian.org>
libev (3.43-1) unstable; urgency=low
* New upstream release

See Also

Package Description
libeval-closure-perl_0.11-1_all.deb Perl module to safely and cleanly create closures via string eval
libeval-context-perl_0.09.11-2_all.deb evalute perl code in context wrapper
libeval-linenumbers-perl_0.34-1_all.deb module to add line numbers to eval'ed heredoc blocks
libeval0-dev_0.29.6-2_amd64.deb support library for eleeye - development file
libeval0_0.29.6-2_amd64.deb support library for eleeye
libevas-dev_1.8.6-2.1+b2_amd64.deb Enlightenment DR17 advanced canvas library development files
libevas-loaders_1.8.1-2+b1_amd64.deb Additional file format loaders for libevas
libevas1-engine-fb_1.8.6-2.1+b2_amd64.deb Evas module providing the Framebuffer engine
libevas1-engines-x_1.8.6-2.1+b2_amd64.deb Evas module providing the X11 engines
libevas1_1.8.6-2.1+b2_amd64.deb Enlightenment DR17 advanced canvas library
libevd-0.1-0_0.1.28-4+b1_amd64.deb Peer-to-peer inter-process communication library - Shared libraries
libevd-0.1-dev_0.1.28-4+b1_amd64.deb Peer-to-peer inter-process communication library - Development files
libevdev-dev_1.3+dfsg-1_amd64.deb wrapper library for evdev devices - development files
libevdev-tools_1.3+dfsg-1_amd64.deb wrapper library for evdev devices - tools
libevdev2_1.3+dfsg-1_amd64.deb wrapper library for evdev devices
Advertisement
Advertisement